#
# spec file for package python-Markups
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Markups
Version:        3.0.0
Release:        bp156.3.1
Summary:        A wrapper around various text markups
License:        BSD-3-Clause
URL:            https://github.com/mitya57/pymarkups
Source:         https://files.pythonhosted.org/packages/source/M/Markups/Markups-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-markdown-math
BuildArch:      noarch
# SECTION Required for %%check
BuildRequires:  %{python_module markdown-math}
# /SECTION
%python_subpackages

%description
This module provides a wrapper around the various text markup languages,
such as Markdown and reStructuredText (these two are supported by default).

%prep
%setup -q -n Markups-%{version}

%build
%python_build

%install
%python_install

%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst changelog
%{python_sitelib}/*

%changelog
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Wed Jan  2 2019 badshah400@gmail.com
- Update to version 3.0.0:
  * The deprecated AbstractMarkup API has been removed.
  * Python 3.2 is no longer supported.
  * The output now uses HTML5 instead of HTML4.
  * The custom markups are now registered with entry points.
  * The ``get_custom_markups()`` method has been removed.
  * New required dependency: python-markdown-math.
  * Python-Markdown 3.x release is now supported.
- Add python-markdown-math to Requires (new dependency).
- Run fdupes to clean up duplicate files wasting space (add
  BuildRequires: fdupes).
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug 31 2017 toddrme2178@gmail.com
- update to Version 2.0.1
  * The new MathJax CDN is used, the old one will be shut down soon.
  * When using MathJax with Markdown, the AMSmath and AMSsymbols extensions are
    now enabled.
- update to Version 2.0.0, 2016-05-09
  * Changed the API of pymarkups to clearly separate the conversion step from
    access to the various elements of the result. The old API is deprecated
    and will be removed in a future release. Please see the documentation for
    details on using the new API.
  * The reStructuredText markup now includes document title and subtitle in
    the HTML body.
  * Added a ``markup2html.py`` reference script to show API usage.
  * Improved support for specifying Markdown extensions in the document.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu May  7 2015 benoit.monin@gmx.fr
- update to version 0.6.1:
  * PyMarkups now uses warnings system instead of printing messages
    to stderr
  * Improvements to Markdown markup:
    + Fixed parsing math that contains nested environments
    + Fixed crash on extensions names starting with dot
  * Miscellaneous fixes
- additional changes from version 0.6:
  * Custom markups are now normal Python modules
  * Web module no longer supports Python 2.x
  * Refactor the code related to Markdown extensions to make it
    work with upcoming Python-Markdown releases
  * MathJax extension is now in a separate module
- additional changes from version 0.5.2:
  * Fixed loading of Markdown extensions with options
- additional changes from version 0.5.1:
  * Fixed Markdown markup crash on empty files
  * Include documentation in the tarballs
  * Testsuite improvements
- additional changes from version 0.5:
  * Improvements to Markdown markup:
    + All math delimeters except $...$ are now enabled by default
    + remove_extra extension now disables formulas support
    + It is now possible to specify required extensions in the
    first line of the file
  * Add Sphinx documentation
- additional changes from version 0.4:
  * Add Textile markup
  * reStructuredText markup now supports file names and settings
    overrides
  * Web module now raises WebUpdateError when updating fails
- additional changes from version 0.3:
  * MathJax support in Markdown has been improved and no longer
    relies on tex2jax extension
  * It is now possible to pass extensions list to MarkdownMarkup
    constructor
  * Pygments style is now configurable
  * Testsuite improvements
- update project URL
- add python-importlib as a dependency for SLE11
- rename README to README.rst: changed upstream
* Wed Feb  6 2013 saschpe@suse.de
- Completely redone spec file
* Sat Feb  2 2013 i@marguerite.su
- initial version 0.2.4
  * no changelog for this version (yet).
